## gle-graphics-library 4.3.8

=== src/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all:
	cd bindots $(CSEP) $(MAKE)
	cd flux_linkage_space_vector_diagram $(CSEP) $(MAKE)
	cd recursiontree $(CSEP) $(MAKE)
	cd keyexamples $(CSEP) $(MAKE)
	cd feynman_19 $(CSEP) $(MAKE)
	cd seaborn $(CSEP) $(MAKE)
	cd web $(CSEP) $(MAKE)
	cd adjust $(CSEP) $(MAKE)
	cd feynman_3 $(CSEP) $(MAKE)
	cd barcode_example $(CSEP) $(MAKE)
	cd frequency $(CSEP) $(MAKE)
	cd semitrans $(CSEP) $(MAKE)
	cd join $(CSEP) $(MAKE)
	cd discontinuity $(CSEP) $(MAKE)
	cd colormapcontour $(CSEP) $(MAKE)
	cd shapes $(CSEP) $(MAKE)
	cd ascatterplot $(CSEP) $(MAKE)
	cd feynman_6 $(CSEP) $(MAKE)
	cd stack2 $(CSEP) $(MAKE)
	cd feynman_13 $(CSEP) $(MAKE)
	cd fitls $(CSEP) $(MAKE)
	cd mutation $(CSEP) $(MAKE)
	cd decay $(CSEP) $(MAKE)
	cd cos2t $(CSEP) $(MAKE)
	cd saddle $(CSEP) $(MAKE)
	cd normal $(CSEP) $(MAKE)
	cd informationgain $(CSEP) $(MAKE)
	cd feynman_2 $(CSEP) $(MAKE)
	cd shapes-ft $(CSEP) $(MAKE)
	cd bayesiannet $(CSEP) $(MAKE)
	cd fruitbar $(CSEP) $(MAKE)
	cd circuit1 $(CSEP) $(MAKE)
	cd bubble $(CSEP) $(MAKE)
	cd logo $(CSEP) $(MAKE)
	cd stairs $(CSEP) $(MAKE)
	cd parallel $(CSEP) $(MAKE)
	cd feynman_9 $(CSEP) $(MAKE)
	cd maunga3c $(CSEP) $(MAKE)
	cd feynman_shadow $(CSEP) $(MAKE)
	cd errors $(CSEP) $(MAKE)
	cd windrose $(CSEP) $(MAKE)
	cd fill-ft $(CSEP) $(MAKE)
	cd pythagoras $(CSEP) $(MAKE)
	cd mesh $(CSEP) $(MAKE)
	cd entropy $(CSEP) $(MAKE)
	cd feynman_16 $(CSEP) $(MAKE)
	cd opening $(CSEP) $(MAKE)
	cd volcano $(CSEP) $(MAKE)
	cd crispdm $(CSEP) $(MAKE)
	cd histogram $(CSEP) $(MAKE)
	cd pythagorean $(CSEP) $(MAKE)
	cd nottingham $(CSEP) $(MAKE)
	cd clip-ft $(CSEP) $(MAKE)
	cd series $(CSEP) $(MAKE)
	cd circuit4 $(CSEP) $(MAKE)
	cd tgplot $(CSEP) $(MAKE)
	cd elliptical_arcs $(CSEP) $(MAKE)
	cd fitz $(CSEP) $(MAKE)
	cd stack4b $(CSEP) $(MAKE)
	cd barchart $(CSEP) $(MAKE)
	cd dvifill $(CSEP) $(MAKE)
	cd f-f2 $(CSEP) $(MAKE)
	cd bar3d $(CSEP) $(MAKE)
	cd sin $(CSEP) $(MAKE)
	cd polarcircle $(CSEP) $(MAKE)
	cd feynman_1 $(CSEP) $(MAKE)
	cd diffeq $(CSEP) $(MAKE)
	cd dragon $(CSEP) $(MAKE)
	cd sqroot $(CSEP) $(MAKE)
	cd feynman_test $(CSEP) $(MAKE)
	cd lindenmayer $(CSEP) $(MAKE)
	cd winding $(CSEP) $(MAKE)
	cd binning $(CSEP) $(MAKE)
	cd four $(CSEP) $(MAKE)
	cd color-markers-3d $(CSEP) $(MAKE)
	cd tree $(CSEP) $(MAKE)
	cd corrs $(CSEP) $(MAKE)
	cd feynman_18 $(CSEP) $(MAKE)
	cd mirrors $(CSEP) $(MAKE)
	cd brilzone $(CSEP) $(MAKE)
	cd circuit2 $(CSEP) $(MAKE)
	cd phasedemo $(CSEP) $(MAKE)
	cd butterfly $(CSEP) $(MAKE)
	cd colorspaces $(CSEP) $(MAKE)
	cd zoom-in $(CSEP) $(MAKE)
	cd business_cards_10_per_A4 $(CSEP) $(MAKE)
	cd gc_join $(CSEP) $(MAKE)
	cd shadebar $(CSEP) $(MAKE)
	cd M4_Re_Im $(CSEP) $(MAKE)
	cd saddle-contour $(CSEP) $(MAKE)
	cd hat $(CSEP) $(MAKE)
	cd quantilescale $(CSEP) $(MAKE)
	cd mandelbrot $(CSEP) $(MAKE)
	cd lnx $(CSEP) $(MAKE)
	cd linemode $(CSEP) $(MAKE)
	cd circuit3 $(CSEP) $(MAKE)
	cd line $(CSEP) $(MAKE)
	cd bitmap $(CSEP) $(MAKE)
	cd protract $(CSEP) $(MAKE)
	cd M16 $(CSEP) $(MAKE)
	cd radar $(CSEP) $(MAKE)
	cd fill $(CSEP) $(MAKE)
	cd regrmodel $(CSEP) $(MAKE)
	cd saddlecol $(CSEP) $(MAKE)
	cd compactkey $(CSEP) $(MAKE)
	cd koch $(CSEP) $(MAKE)
	cd wallx $(CSEP) $(MAKE)
	cd loop $(CSEP) $(MAKE)
	cd feynman_14 $(CSEP) $(MAKE)
	cd feynman_10 $(CSEP) $(MAKE)
	cd super-ellipse $(CSEP) $(MAKE)
	cd stack1 $(CSEP) $(MAKE)
	cd polar_histogram $(CSEP) $(MAKE)
	cd playtennis_dt $(CSEP) $(MAKE)
	cd brewer_sample $(CSEP) $(MAKE)
	cd volcano3d $(CSEP) $(MAKE)
	cd lines $(CSEP) $(MAKE)
	cd filters81 $(CSEP) $(MAKE)
	cd volcano-ft $(CSEP) $(MAKE)
	cd equation $(CSEP) $(MAKE)
	cd steps $(CSEP) $(MAKE)
	cd texgraph $(CSEP) $(MAKE)
	cd lorenz $(CSEP) $(MAKE)
	cd horizon $(CSEP) $(MAKE)
	cd ellipses $(CSEP) $(MAKE)
	cd house $(CSEP) $(MAKE)
	cd feynman_8 $(CSEP) $(MAKE)
	cd color_sample $(CSEP) $(MAKE)
	cd square $(CSEP) $(MAKE)
	cd inpstm $(CSEP) $(MAKE)
	cd legend $(CSEP) $(MAKE)
	cd curve $(CSEP) $(MAKE)
	cd qgle_keyboard $(CSEP) $(MAKE)
	cd markers $(CSEP) $(MAKE)
	cd drawpie $(CSEP) $(MAKE)
	cd feynman_17 $(CSEP) $(MAKE)
	cd hyperbola $(CSEP) $(MAKE)
	cd arrowstyle $(CSEP) $(MAKE)
	cd color_list_svg $(CSEP) $(MAKE)
	cd adphas $(CSEP) $(MAKE)
	cd math $(CSEP) $(MAKE)
	cd jitter $(CSEP) $(MAKE)
	cd AFM $(CSEP) $(MAKE)
	cd rt-y-is-x $(CSEP) $(MAKE)
	cd perceptron $(CSEP) $(MAKE)
	cd boxplot-ft $(CSEP) $(MAKE)
	cd wulfnet $(CSEP) $(MAKE)
	cd testaccents $(CSEP) $(MAKE)
	cd wall $(CSEP) $(MAKE)
	cd utitle $(CSEP) $(MAKE)
	cd feynman_11 $(CSEP) $(MAKE)
	cd sine-approx $(CSEP) $(MAKE)
	cd polenja $(CSEP) $(MAKE)
	cd data $(CSEP) $(MAKE)
	cd brewer_usage $(CSEP) $(MAKE)
	cd feynman_15 $(CSEP) $(MAKE)
	cd feynman_12 $(CSEP) $(MAKE)
	cd gradient $(CSEP) $(MAKE)
	cd stuff $(CSEP) $(MAKE)
	cd sierpinski $(CSEP) $(MAKE)
	cd polargrid $(CSEP) $(MAKE)
	cd labels $(CSEP) $(MAKE)
	cd labeled-scatter $(CSEP) $(MAKE)
	cd margins $(CSEP) $(MAKE)
	cd sarppepo $(CSEP) $(MAKE)
	cd bspline $(CSEP) $(MAKE)
	cd spider $(CSEP) $(MAKE)
	cd rugplot $(CSEP) $(MAKE)
	cd bumpchart $(CSEP) $(MAKE)
	cd brics $(CSEP) $(MAKE)
	cd cavity $(CSEP) $(MAKE)
	cd armand $(CSEP) $(MAKE)
	cd hubble $(CSEP) $(MAKE)
	cd gc_color $(CSEP) $(MAKE)
	cd gc_write $(CSEP) $(MAKE)
	cd objects $(CSEP) $(MAKE)
	cd feynman_5 $(CSEP) $(MAKE)
	cd curvedarrow $(CSEP) $(MAKE)
	cd h-bridge $(CSEP) $(MAKE)
	cd maungazoom $(CSEP) $(MAKE)
	cd stacks $(CSEP) $(MAKE)
	cd colorbar $(CSEP) $(MAKE)
	cd hello $(CSEP) $(MAKE)
	cd intersect $(CSEP) $(MAKE)
	cd colormap $(CSEP) $(MAKE)
	cd boxplot $(CSEP) $(MAKE)
	cd ulam $(CSEP) $(MAKE)
	cd ellipsearrow $(CSEP) $(MAKE)
	cd let-multi-dim $(CSEP) $(MAKE)
	cd flow $(CSEP) $(MAKE)
	cd clip $(CSEP) $(MAKE)
	cd feynman_7 $(CSEP) $(MAKE)
	cd stack4c $(CSEP) $(MAKE)
	cd SdHmethod $(CSEP) $(MAKE)
	cd ramps $(CSEP) $(MAKE)
	cd shadow $(CSEP) $(MAKE)
	cd heatmap $(CSEP) $(MAKE)
	cd arrowdesign $(CSEP) $(MAKE)
	cd feynman_4 $(CSEP) $(MAKE)

clean:
	cd bindots $(CSEP) $(MAKE) clean
	cd flux_linkage_space_vector_diagram $(CSEP) $(MAKE) clean
	cd recursiontree $(CSEP) $(MAKE) clean
	cd keyexamples $(CSEP) $(MAKE) clean
	cd feynman_19 $(CSEP) $(MAKE) clean
	cd seaborn $(CSEP) $(MAKE) clean
	cd web $(CSEP) $(MAKE) clean
	cd adjust $(CSEP) $(MAKE) clean
	cd feynman_3 $(CSEP) $(MAKE) clean
	cd barcode_example $(CSEP) $(MAKE) clean
	cd frequency $(CSEP) $(MAKE) clean
	cd semitrans $(CSEP) $(MAKE) clean
	cd join $(CSEP) $(MAKE) clean
	cd discontinuity $(CSEP) $(MAKE) clean
	cd colormapcontour $(CSEP) $(MAKE) clean
	cd shapes $(CSEP) $(MAKE) clean
	cd ascatterplot $(CSEP) $(MAKE) clean
	cd feynman_6 $(CSEP) $(MAKE) clean
	cd stack2 $(CSEP) $(MAKE) clean
	cd feynman_13 $(CSEP) $(MAKE) clean
	cd fitls $(CSEP) $(MAKE) clean
	cd mutation $(CSEP) $(MAKE) clean
	cd decay $(CSEP) $(MAKE) clean
	cd cos2t $(CSEP) $(MAKE) clean
	cd saddle $(CSEP) $(MAKE) clean
	cd normal $(CSEP) $(MAKE) clean
	cd informationgain $(CSEP) $(MAKE) clean
	cd feynman_2 $(CSEP) $(MAKE) clean
	cd shapes-ft $(CSEP) $(MAKE) clean
	cd bayesiannet $(CSEP) $(MAKE) clean
	cd fruitbar $(CSEP) $(MAKE) clean
	cd circuit1 $(CSEP) $(MAKE) clean
	cd bubble $(CSEP) $(MAKE) clean
	cd logo $(CSEP) $(MAKE) clean
	cd stairs $(CSEP) $(MAKE) clean
	cd parallel $(CSEP) $(MAKE) clean
	cd feynman_9 $(CSEP) $(MAKE) clean
	cd maunga3c $(CSEP) $(MAKE) clean
	cd feynman_shadow $(CSEP) $(MAKE) clean
	cd errors $(CSEP) $(MAKE) clean
	cd windrose $(CSEP) $(MAKE) clean
	cd fill-ft $(CSEP) $(MAKE) clean
	cd pythagoras $(CSEP) $(MAKE) clean
	cd mesh $(CSEP) $(MAKE) clean
	cd entropy $(CSEP) $(MAKE) clean
	cd feynman_16 $(CSEP) $(MAKE) clean
	cd opening $(CSEP) $(MAKE) clean
	cd volcano $(CSEP) $(MAKE) clean
	cd crispdm $(CSEP) $(MAKE) clean
	cd histogram $(CSEP) $(MAKE) clean
	cd pythagorean $(CSEP) $(MAKE) clean
	cd nottingham $(CSEP) $(MAKE) clean
	cd clip-ft $(CSEP) $(MAKE) clean
	cd series $(CSEP) $(MAKE) clean
	cd circuit4 $(CSEP) $(MAKE) clean
	cd tgplot $(CSEP) $(MAKE) clean
	cd elliptical_arcs $(CSEP) $(MAKE) clean
	cd fitz $(CSEP) $(MAKE) clean
	cd stack4b $(CSEP) $(MAKE) clean
	cd barchart $(CSEP) $(MAKE) clean
	cd dvifill $(CSEP) $(MAKE) clean
	cd f-f2 $(CSEP) $(MAKE) clean
	cd bar3d $(CSEP) $(MAKE) clean
	cd sin $(CSEP) $(MAKE) clean
	cd polarcircle $(CSEP) $(MAKE) clean
	cd feynman_1 $(CSEP) $(MAKE) clean
	cd diffeq $(CSEP) $(MAKE) clean
	cd dragon $(CSEP) $(MAKE) clean
	cd sqroot $(CSEP) $(MAKE) clean
	cd feynman_test $(CSEP) $(MAKE) clean
	cd lindenmayer $(CSEP) $(MAKE) clean
	cd winding $(CSEP) $(MAKE) clean
	cd binning $(CSEP) $(MAKE) clean
	cd four $(CSEP) $(MAKE) clean
	cd color-markers-3d $(CSEP) $(MAKE) clean
	cd tree $(CSEP) $(MAKE) clean
	cd corrs $(CSEP) $(MAKE) clean
	cd feynman_18 $(CSEP) $(MAKE) clean
	cd mirrors $(CSEP) $(MAKE) clean
	cd brilzone $(CSEP) $(MAKE) clean
	cd circuit2 $(CSEP) $(MAKE) clean
	cd phasedemo $(CSEP) $(MAKE) clean
	cd butterfly $(CSEP) $(MAKE) clean
	cd colorspaces $(CSEP) $(MAKE) clean
	cd zoom-in $(CSEP) $(MAKE) clean
	cd business_cards_10_per_A4 $(CSEP) $(MAKE) clean
	cd gc_join $(CSEP) $(MAKE) clean
	cd shadebar $(CSEP) $(MAKE) clean
	cd M4_Re_Im $(CSEP) $(MAKE) clean
	cd saddle-contour $(CSEP) $(MAKE) clean
	cd hat $(CSEP) $(MAKE) clean
	cd quantilescale $(CSEP) $(MAKE) clean
	cd mandelbrot $(CSEP) $(MAKE) clean
	cd lnx $(CSEP) $(MAKE) clean
	cd linemode $(CSEP) $(MAKE) clean
	cd circuit3 $(CSEP) $(MAKE) clean
	cd line $(CSEP) $(MAKE) clean
	cd bitmap $(CSEP) $(MAKE) clean
	cd protract $(CSEP) $(MAKE) clean
	cd M16 $(CSEP) $(MAKE) clean
	cd radar $(CSEP) $(MAKE) clean
	cd fill $(CSEP) $(MAKE) clean
	cd regrmodel $(CSEP) $(MAKE) clean
	cd saddlecol $(CSEP) $(MAKE) clean
	cd compactkey $(CSEP) $(MAKE) clean
	cd koch $(CSEP) $(MAKE) clean
	cd wallx $(CSEP) $(MAKE) clean
	cd loop $(CSEP) $(MAKE) clean
	cd feynman_14 $(CSEP) $(MAKE) clean
	cd feynman_10 $(CSEP) $(MAKE) clean
	cd super-ellipse $(CSEP) $(MAKE) clean
	cd stack1 $(CSEP) $(MAKE) clean
	cd polar_histogram $(CSEP) $(MAKE) clean
	cd playtennis_dt $(CSEP) $(MAKE) clean
	cd brewer_sample $(CSEP) $(MAKE) clean
	cd volcano3d $(CSEP) $(MAKE) clean
	cd lines $(CSEP) $(MAKE) clean
	cd filters81 $(CSEP) $(MAKE) clean
	cd volcano-ft $(CSEP) $(MAKE) clean
	cd equation $(CSEP) $(MAKE) clean
	cd steps $(CSEP) $(MAKE) clean
	cd texgraph $(CSEP) $(MAKE) clean
	cd lorenz $(CSEP) $(MAKE) clean
	cd horizon $(CSEP) $(MAKE) clean
	cd ellipses $(CSEP) $(MAKE) clean
	cd house $(CSEP) $(MAKE) clean
	cd feynman_8 $(CSEP) $(MAKE) clean
	cd color_sample $(CSEP) $(MAKE) clean
	cd square $(CSEP) $(MAKE) clean
	cd inpstm $(CSEP) $(MAKE) clean
	cd legend $(CSEP) $(MAKE) clean
	cd curve $(CSEP) $(MAKE) clean
	cd qgle_keyboard $(CSEP) $(MAKE) clean
	cd markers $(CSEP) $(MAKE) clean
	cd drawpie $(CSEP) $(MAKE) clean
	cd feynman_17 $(CSEP) $(MAKE) clean
	cd hyperbola $(CSEP) $(MAKE) clean
	cd arrowstyle $(CSEP) $(MAKE) clean
	cd color_list_svg $(CSEP) $(MAKE) clean
	cd adphas $(CSEP) $(MAKE) clean
	cd math $(CSEP) $(MAKE) clean
	cd jitter $(CSEP) $(MAKE) clean
	cd AFM $(CSEP) $(MAKE) clean
	cd rt-y-is-x $(CSEP) $(MAKE) clean
	cd perceptron $(CSEP) $(MAKE) clean
	cd boxplot-ft $(CSEP) $(MAKE) clean
	cd wulfnet $(CSEP) $(MAKE) clean
	cd testaccents $(CSEP) $(MAKE) clean
	cd wall $(CSEP) $(MAKE) clean
	cd utitle $(CSEP) $(MAKE) clean
	cd feynman_11 $(CSEP) $(MAKE) clean
	cd sine-approx $(CSEP) $(MAKE) clean
	cd polenja $(CSEP) $(MAKE) clean
	cd data $(CSEP) $(MAKE) clean
	cd brewer_usage $(CSEP) $(MAKE) clean
	cd feynman_15 $(CSEP) $(MAKE) clean
	cd feynman_12 $(CSEP) $(MAKE) clean
	cd gradient $(CSEP) $(MAKE) clean
	cd stuff $(CSEP) $(MAKE) clean
	cd sierpinski $(CSEP) $(MAKE) clean
	cd polargrid $(CSEP) $(MAKE) clean

=== src/M4_Re_Im/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: M4_Re_Im.eps M4_Re_Im.pdf M4_Re_Im.png

M4_Re_Im.eps: M4_Re_Im.gle
	gle -device EPS -cairo M4_Re_Im.gle

M4_Re_Im.pdf: M4_Re_Im.gle
	gle -device PDF -cairo M4_Re_Im.gle

M4_Re_Im.png: M4_Re_Im.gle
	gle -device PNG -cairo -DPI 150 M4_Re_Im.gle

clean:
	-$(RM) M4_Re_Im.eps M4_Re_Im.pdf M4_Re_Im.png
	-$(RMDIR) .gle

=== src/bitmap/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: bitmap.eps bitmap.pdf bitmap.png

bitmap.eps: bitmap.gle
	gle -device EPS -cairo bitmap.gle

bitmap.pdf: bitmap.gle
	gle -device PDF -cairo bitmap.gle

bitmap.png: bitmap.gle
	gle -device PNG -cairo -DPI 150 bitmap.gle

clean:
	-$(RM) bitmap.eps bitmap.pdf bitmap.png
	-$(RMDIR) .gle

=== src/brewer_sample/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: brewersample.eps brewersample.pdf brewersample.png

brewersample.eps: brewersample.gle
	gle -device EPS -cairo brewersample.gle

brewersample.pdf: brewersample.gle
	gle -device PDF -cairo brewersample.gle

brewersample.png: brewersample.gle
	gle -device PNG -cairo -DPI 150 brewersample.gle

clean:
	-$(RM) brewersample.eps brewersample.pdf brewersample.png
	-$(RMDIR) .gle

=== src/circuit1/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: circuit1.eps circuit1.pdf circuit1.png

circuit1.eps: circuit1.gle
	gle -device EPS -cairo circuit1.gle

circuit1.pdf: circuit1.gle
	gle -device PDF -cairo circuit1.gle

circuit1.png: circuit1.gle
	gle -device PNG -cairo -DPI 150 circuit1.gle

clean:
	-$(RM) circuit1.eps circuit1.pdf circuit1.png
	-$(RMDIR) .gle

=== src/clip-ft/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: clip-ft.eps clip-ft.pdf clip-ft.png

clip-ft.eps: clip-ft.gle
	gle -device EPS -cairo clip-ft.gle

clip-ft.pdf: clip-ft.gle
	gle -device PDF -cairo clip-ft.gle

clip-ft.png: clip-ft.gle
	gle -device PNG -cairo -DPI 150 clip-ft.gle

clean:
	-$(RM) clip-ft.eps clip-ft.pdf clip-ft.png
	-$(RMDIR) .gle

=== src/color_sample/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: color_sample.eps color_sample.pdf color_sample.png

color_sample.eps: color_sample.gle
	gle -device EPS -cairo color_sample.gle

color_sample.pdf: color_sample.gle
	gle -device PDF -cairo color_sample.gle

color_sample.png: color_sample.gle
	gle -device PNG -cairo -DPI 150 color_sample.gle

clean:
	-$(RM) color_sample.eps color_sample.pdf color_sample.png
	-$(RMDIR) .gle

=== src/colormap/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: colormap.eps colormap.pdf colormap.png

colormap.eps: colormap.gle
	gle -device EPS -cairo colormap.gle

colormap.pdf: colormap.gle
	gle -device PDF -cairo colormap.gle

colormap.png: colormap.gle
	gle -device PNG -cairo -DPI 150 colormap.gle

clean:
	-$(RM) colormap.eps colormap.pdf colormap.png
	-$(RMDIR) .gle

=== src/colormapcontour/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: colormapcontour.eps colormapcontour.pdf colormapcontour.png

colormapcontour.eps: colormapcontour.gle
	gle -device EPS -cairo colormapcontour.gle

colormapcontour.pdf: colormapcontour.gle
	gle -device PDF -cairo colormapcontour.gle

colormapcontour.png: colormapcontour.gle
	gle -device PNG -cairo -DPI 150 colormapcontour.gle

clean:
	-$(RM) colormapcontour.eps colormapcontour.pdf colormapcontour.png
	-$(RMDIR) .gle

=== src/corrs/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: corrs.eps corrs.pdf corrs.png

corrs.eps: corrs.gle
	gle -device EPS -cairo corrs.gle

corrs.pdf: corrs.gle
	gle -device PDF -cairo corrs.gle

corrs.png: corrs.gle
	gle -device PNG -cairo -DPI 150 corrs.gle

clean:
	-$(RM) corrs.eps corrs.pdf corrs.png
	-$(RMDIR) .gle

=== src/data/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: data.eps data.pdf data.png

data.eps: data.gle
	gle -device EPS -cairo data.gle

data.pdf: data.gle
	gle -device PDF -cairo data.gle

data.png: data.gle
	gle -device PNG -cairo -DPI 150 data.gle

clean:
	-$(RM) data.eps data.pdf data.png
	-$(RMDIR) .gle

=== src/drawpie/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
# \
!endif

all: drawpie.eps drawpie.pdf drawpie.png

drawpie.eps: drawpie.gle
	gle -device EPS -cairo drawpie.gle

drawpie.pdf: drawpie.gle
	gle -device PDF -cairo drawpie.gle

drawpie.png: drawpie.gle
	gle -device PNG -cairo -DPI 150 drawpie.gle

clean:
	-$(RM) drawpie.eps drawpie.pdf drawpie.png
	-$(RMDIR) .gle

=== debian/changelog ===
gle-graphics-library (4.3.8-1) experimental; urgency=medium

  * New upstream release.

 -- Christian T. Steigies <cts@debian.org>  Sun, 02 Nov 2025 16:13:26 +0100

## gle-graphics-library 4.3.9

=== src/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all:
	cd pythagorean $(CSEP) $(MAKE)
	cd gradient $(CSEP) $(MAKE)
	cd intersect $(CSEP) $(MAKE)
	cd quantilescale $(CSEP) $(MAKE)
	cd stairs $(CSEP) $(MAKE)
	cd keyexamples $(CSEP) $(MAKE)
	cd polar_plot $(CSEP) $(MAKE)
	cd polar_histogram $(CSEP) $(MAKE)
	cd business_cards_10_per_A4 $(CSEP) $(MAKE)
	cd colormapcontour $(CSEP) $(MAKE)
	cd bindots $(CSEP) $(MAKE)
	cd clip $(CSEP) $(MAKE)
	cd elliptical_arcs $(CSEP) $(MAKE)
	cd sin $(CSEP) $(MAKE)
	cd line $(CSEP) $(MAKE)
	cd square $(CSEP) $(MAKE)
	cd feynman_16 $(CSEP) $(MAKE)
	cd labeled-scatter $(CSEP) $(MAKE)
	cd color_sample $(CSEP) $(MAKE)
	cd stack4b $(CSEP) $(MAKE)
	cd feynman_18 $(CSEP) $(MAKE)
	cd sarppepo $(CSEP) $(MAKE)
	cd circuit3 $(CSEP) $(MAKE)
	cd wallx $(CSEP) $(MAKE)
	cd utitle $(CSEP) $(MAKE)
	cd circuit4 $(CSEP) $(MAKE)
	cd let-multi-dim $(CSEP) $(MAKE)
	cd labels $(CSEP) $(MAKE)
	cd mandelbrot $(CSEP) $(MAKE)
	cd arrowstyle $(CSEP) $(MAKE)
	cd feynman_9 $(CSEP) $(MAKE)
	cd arrowdesign $(CSEP) $(MAKE)
	cd lnx $(CSEP) $(MAKE)
	cd heatmap $(CSEP) $(MAKE)
	cd flow $(CSEP) $(MAKE)
	cd feynman_17 $(CSEP) $(MAKE)
	cd fitz $(CSEP) $(MAKE)
	cd AFM $(CSEP) $(MAKE)
	cd ellipses $(CSEP) $(MAKE)
	cd gc_write $(CSEP) $(MAKE)
	cd feynman_19 $(CSEP) $(MAKE)
	cd feynman_7 $(CSEP) $(MAKE)
	cd cavity $(CSEP) $(MAKE)
	cd nottingham $(CSEP) $(MAKE)
	cd maunga3c $(CSEP) $(MAKE)
	cd join $(CSEP) $(MAKE)
	cd koch $(CSEP) $(MAKE)
	cd barcode_example $(CSEP) $(MAKE)
	cd web $(CSEP) $(MAKE)
	cd bumpchart $(CSEP) $(MAKE)
	cd fruitbar $(CSEP) $(MAKE)
	cd filters81 $(CSEP) $(MAKE)
	cd parallel $(CSEP) $(MAKE)
	cd sine-approx $(CSEP) $(MAKE)
	cd M16 $(CSEP) $(MAKE)
	cd house $(CSEP) $(MAKE)
	cd feynman_5 $(CSEP) $(MAKE)
	cd cos2t $(CSEP) $(MAKE)
	cd feynman_shadow $(CSEP) $(MAKE)
	cd stacks $(CSEP) $(MAKE)
	cd bar_chart $(CSEP) $(MAKE)
	cd color_list_svg $(CSEP) $(MAKE)
	cd SdHmethod $(CSEP) $(MAKE)
	cd feynman_3 $(CSEP) $(MAKE)
	cd feynman_8 $(CSEP) $(MAKE)
	cd butterfly $(CSEP) $(MAKE)
	cd hat $(CSEP) $(MAKE)
	cd feynman_11 $(CSEP) $(MAKE)
	cd corrs $(CSEP) $(MAKE)
	cd sqroot $(CSEP) $(MAKE)
	cd curve $(CSEP) $(MAKE)
	cd scatter_plot $(CSEP) $(MAKE)
	cd diffeq $(CSEP) $(MAKE)
	cd feynman_4 $(CSEP) $(MAKE)
	cd spider $(CSEP) $(MAKE)
	cd color-markers-3d $(CSEP) $(MAKE)
	cd feynman_6 $(CSEP) $(MAKE)
	cd saddle-contour $(CSEP) $(MAKE)
	cd tgplot $(CSEP) $(MAKE)
	cd feynman_14 $(CSEP) $(MAKE)
	cd bayesiannet $(CSEP) $(MAKE)
	cd ramps $(CSEP) $(MAKE)
	cd curvedarrow $(CSEP) $(MAKE)
	cd seaborn $(CSEP) $(MAKE)
	cd shadebar $(CSEP) $(MAKE)
	cd volcano3d $(CSEP) $(MAKE)
	cd horizon $(CSEP) $(MAKE)
	cd shadow $(CSEP) $(MAKE)
	cd zoom-in $(CSEP) $(MAKE)
	cd rugplot $(CSEP) $(MAKE)
	cd lorenz $(CSEP) $(MAKE)
	cd winding $(CSEP) $(MAKE)
	cd steps $(CSEP) $(MAKE)
	cd mesh $(CSEP) $(MAKE)
	cd lines $(CSEP) $(MAKE)
	cd entropy $(CSEP) $(MAKE)
	cd logo $(CSEP) $(MAKE)
	cd inpstm $(CSEP) $(MAKE)
	cd boxplot $(CSEP) $(MAKE)
	cd four $(CSEP) $(MAKE)
	cd clip-ft $(CSEP) $(MAKE)
	cd feynman_15 $(CSEP) $(MAKE)
	cd compactkey $(CSEP) $(MAKE)
	cd math_mode_plot $(CSEP) $(MAKE)
	cd stack4c $(CSEP) $(MAKE)
	cd binning $(CSEP) $(MAKE)
	cd objects $(CSEP) $(MAKE)
	cd shapes-ft $(CSEP) $(MAKE)
	cd wulfnet $(CSEP) $(MAKE)
	cd lindenmayer $(CSEP) $(MAKE)
	cd mirrors $(CSEP) $(MAKE)
	cd frequency $(CSEP) $(MAKE)
	cd perceptron $(CSEP) $(MAKE)
	cd ellipsearrow $(CSEP) $(MAKE)
	cd saddlecol $(CSEP) $(MAKE)
	cd fitting $(CSEP) $(MAKE)
	cd brewer_sample $(CSEP) $(MAKE)
	cd feynman_12 $(CSEP) $(MAKE)
	cd stack1 $(CSEP) $(MAKE)
	cd adjust $(CSEP) $(MAKE)
	cd testaccents $(CSEP) $(MAKE)
	cd linemode $(CSEP) $(MAKE)
	cd circuit2 $(CSEP) $(MAKE)
	cd qgle_keyboard $(CSEP) $(MAKE)
	cd gc_join $(CSEP) $(MAKE)
	cd jitter $(CSEP) $(MAKE)
	cd dragon $(CSEP) $(MAKE)
	cd sierpinski $(CSEP) $(MAKE)
	cd data $(CSEP) $(MAKE)
	cd circuit1 $(CSEP) $(MAKE)
	cd f-f2 $(CSEP) $(MAKE)
	cd polarcircle $(CSEP) $(MAKE)
	cd mutation $(CSEP) $(MAKE)
	cd protract $(CSEP) $(MAKE)
	cd super-ellipse $(CSEP) $(MAKE)
	cd h-bridge $(CSEP) $(MAKE)
	cd shapes $(CSEP) $(MAKE)
	cd loop $(CSEP) $(MAKE)
	cd feynman_test $(CSEP) $(MAKE)
	cd armand $(CSEP) $(MAKE)
	cd series $(CSEP) $(MAKE)
	cd fill $(CSEP) $(MAKE)
	cd wall $(CSEP) $(MAKE)
	cd volcano $(CSEP) $(MAKE)
	cd bubble $(CSEP) $(MAKE)
	cd regrmodel $(CSEP) $(MAKE)
	cd opening $(CSEP) $(MAKE)
	cd adphas $(CSEP) $(MAKE)
	cd radar $(CSEP) $(MAKE)
	cd pythagoras $(CSEP) $(MAKE)
	cd legend $(CSEP) $(MAKE)
	cd crispdm $(CSEP) $(MAKE)
	cd errors $(CSEP) $(MAKE)
	cd colorspaces $(CSEP) $(MAKE)
	cd maungazoom $(CSEP) $(MAKE)
	cd polenja $(CSEP) $(MAKE)
	cd colorbar $(CSEP) $(MAKE)
	cd M4_Re_Im $(CSEP) $(MAKE)
	cd hello_world $(CSEP) $(MAKE)
	cd flux_linkage_space_vector_diagram $(CSEP) $(MAKE)
	cd brilzone $(CSEP) $(MAKE)
	cd tree $(CSEP) $(MAKE)
	cd feynman_2 $(CSEP) $(MAKE)
	cd brics $(CSEP) $(MAKE)
	cd dvifill $(CSEP) $(MAKE)
	cd playtennis_dt $(CSEP) $(MAKE)
	cd feynman_1 $(CSEP) $(MAKE)
	cd gc_color $(CSEP) $(MAKE)
	cd normal $(CSEP) $(MAKE)
	cd ulam $(CSEP) $(MAKE)
	cd stack2 $(CSEP) $(MAKE)
	cd boxplot-ft $(CSEP) $(MAKE)
	cd bspline $(CSEP) $(MAKE)
	cd informationgain $(CSEP) $(MAKE)
	cd margins $(CSEP) $(MAKE)
	cd polargrid $(CSEP) $(MAKE)
	cd brewer_usage $(CSEP) $(MAKE)
	cd texgraph $(CSEP) $(MAKE)
	cd fill-ft $(CSEP) $(MAKE)
	cd markers $(CSEP) $(MAKE)
	cd windrose $(CSEP) $(MAKE)
	cd feynman_10 $(CSEP) $(MAKE)
	cd hubble $(CSEP) $(MAKE)
	cd hyperbola $(CSEP) $(MAKE)
	cd bar_chart_ft $(CSEP) $(MAKE)
	cd saddle $(CSEP) $(MAKE)
	cd histogram $(CSEP) $(MAKE)
	cd volcano-ft $(CSEP) $(MAKE)
	cd discontinuity $(CSEP) $(MAKE)
	cd stuff $(CSEP) $(MAKE)
	cd rt-y-is-x $(CSEP) $(MAKE)
	cd semitrans $(CSEP) $(MAKE)
	cd colormap $(CSEP) $(MAKE)
	cd feynman_13 $(CSEP) $(MAKE)
	cd drawpie $(CSEP) $(MAKE)
	cd bitmap $(CSEP) $(MAKE)
	cd decay $(CSEP) $(MAKE)
	cd phasedemo $(CSEP) $(MAKE)
	cd recursiontree $(CSEP) $(MAKE)

clean:
	cd pythagorean $(CSEP) $(MAKE) clean
	cd gradient $(CSEP) $(MAKE) clean
	cd intersect $(CSEP) $(MAKE) clean
	cd quantilescale $(CSEP) $(MAKE) clean
	cd stairs $(CSEP) $(MAKE) clean
	cd keyexamples $(CSEP) $(MAKE) clean
	cd polar_plot $(CSEP) $(MAKE) clean
	cd polar_histogram $(CSEP) $(MAKE) clean
	cd business_cards_10_per_A4 $(CSEP) $(MAKE) clean
	cd colormapcontour $(CSEP) $(MAKE) clean
	cd bindots $(CSEP) $(MAKE) clean
	cd clip $(CSEP) $(MAKE) clean
	cd elliptical_arcs $(CSEP) $(MAKE) clean
	cd sin $(CSEP) $(MAKE) clean
	cd line $(CSEP) $(MAKE) clean
	cd square $(CSEP) $(MAKE) clean
	cd feynman_16 $(CSEP) $(MAKE) clean
	cd labeled-scatter $(CSEP) $(MAKE) clean
	cd color_sample $(CSEP) $(MAKE) clean
	cd stack4b $(CSEP) $(MAKE) clean
	cd feynman_18 $(CSEP) $(MAKE) clean
	cd sarppepo $(CSEP) $(MAKE) clean
	cd circuit3 $(CSEP) $(MAKE) clean
	cd wallx $(CSEP) $(MAKE) clean
	cd utitle $(CSEP) $(MAKE) clean
	cd circuit4 $(CSEP) $(MAKE) clean
	cd let-multi-dim $(CSEP) $(MAKE) clean
	cd labels $(CSEP) $(MAKE) clean
	cd mandelbrot $(CSEP) $(MAKE) clean
	cd arrowstyle $(CSEP) $(MAKE) clean
	cd feynman_9 $(CSEP) $(MAKE) clean
	cd arrowdesign $(CSEP) $(MAKE) clean
	cd lnx $(CSEP) $(MAKE) clean
	cd heatmap $(CSEP) $(MAKE) clean
	cd flow $(CSEP) $(MAKE) clean
	cd feynman_17 $(CSEP) $(MAKE) clean
	cd fitz $(CSEP) $(MAKE) clean
	cd AFM $(CSEP) $(MAKE) clean
	cd ellipses $(CSEP) $(MAKE) clean
	cd gc_write $(CSEP) $(MAKE) clean
	cd feynman_19 $(CSEP) $(MAKE) clean
	cd feynman_7 $(CSEP) $(MAKE) clean
	cd cavity $(CSEP) $(MAKE) clean
	cd nottingham $(CSEP) $(MAKE) clean
	cd maunga3c $(CSEP) $(MAKE) clean
	cd join $(CSEP) $(MAKE) clean
	cd koch $(CSEP) $(MAKE) clean
	cd barcode_example $(CSEP) $(MAKE) clean
	cd web $(CSEP) $(MAKE) clean
	cd bumpchart $(CSEP) $(MAKE) clean
	cd fruitbar $(CSEP) $(MAKE) clean
	cd filters81 $(CSEP) $(MAKE) clean
	cd parallel $(CSEP) $(MAKE) clean
	cd sine-approx $(CSEP) $(MAKE) clean
	cd M16 $(CSEP) $(MAKE) clean
	cd house $(CSEP) $(MAKE) clean
	cd feynman_5 $(CSEP) $(MAKE) clean
	cd cos2t $(CSEP) $(MAKE) clean
	cd feynman_shadow $(CSEP) $(MAKE) clean
	cd stacks $(CSEP) $(MAKE) clean
	cd bar_chart $(CSEP) $(MAKE) clean
	cd color_list_svg $(CSEP) $(MAKE) clean
	cd SdHmethod $(CSEP) $(MAKE) clean
	cd feynman_3 $(CSEP) $(MAKE) clean
	cd feynman_8 $(CSEP) $(MAKE) clean
	cd butterfly $(CSEP) $(MAKE) clean
	cd hat $(CSEP) $(MAKE) clean
	cd feynman_11 $(CSEP) $(MAKE) clean
	cd corrs $(CSEP) $(MAKE) clean
	cd sqroot $(CSEP) $(MAKE) clean
	cd curve $(CSEP) $(MAKE) clean
	cd scatter_plot $(CSEP) $(MAKE) clean
	cd diffeq $(CSEP) $(MAKE) clean
	cd feynman_4 $(CSEP) $(MAKE) clean
	cd spider $(CSEP) $(MAKE) clean
	cd color-markers-3d $(CSEP) $(MAKE) clean
	cd feynman_6 $(CSEP) $(MAKE) clean
	cd saddle-contour $(CSEP) $(MAKE) clean
	cd tgplot $(CSEP) $(MAKE) clean
	cd feynman_14 $(CSEP) $(MAKE) clean
	cd bayesiannet $(CSEP) $(MAKE) clean
	cd ramps $(CSEP) $(MAKE) clean
	cd curvedarrow $(CSEP) $(MAKE) clean
	cd seaborn $(CSEP) $(MAKE) clean
	cd shadebar $(CSEP) $(MAKE) clean
	cd volcano3d $(CSEP) $(MAKE) clean
	cd horizon $(CSEP) $(MAKE) clean
	cd shadow $(CSEP) $(MAKE) clean
	cd zoom-in $(CSEP) $(MAKE) clean
	cd rugplot $(CSEP) $(MAKE) clean
	cd lorenz $(CSEP) $(MAKE) clean
	cd winding $(CSEP) $(MAKE) clean
	cd steps $(CSEP) $(MAKE) clean
	cd mesh $(CSEP) $(MAKE) clean
	cd lines $(CSEP) $(MAKE) clean
	cd entropy $(CSEP) $(MAKE) clean
	cd logo $(CSEP) $(MAKE) clean
	cd inpstm $(CSEP) $(MAKE) clean
	cd boxplot $(CSEP) $(MAKE) clean
	cd four $(CSEP) $(MAKE) clean
	cd clip-ft $(CSEP) $(MAKE) clean
	cd feynman_15 $(CSEP) $(MAKE) clean
	cd compactkey $(CSEP) $(MAKE) clean
	cd math_mode_plot $(CSEP) $(MAKE) clean
	cd stack4c $(CSEP) $(MAKE) clean
	cd binning $(CSEP) $(MAKE) clean
	cd objects $(CSEP) $(MAKE) clean
	cd shapes-ft $(CSEP) $(MAKE) clean
	cd wulfnet $(CSEP) $(MAKE) clean
	cd lindenmayer $(CSEP) $(MAKE) clean
	cd mirrors $(CSEP) $(MAKE) clean
	cd frequency $(CSEP) $(MAKE) clean
	cd perceptron $(CSEP) $(MAKE) clean
	cd ellipsearrow $(CSEP) $(MAKE) clean
	cd saddlecol $(CSEP) $(MAKE) clean
	cd fitting $(CSEP) $(MAKE) clean
	cd brewer_sample $(CSEP) $(MAKE) clean
	cd feynman_12 $(CSEP) $(MAKE) clean
	cd stack1 $(CSEP) $(MAKE) clean
	cd adjust $(CSEP) $(MAKE) clean
	cd testaccents $(CSEP) $(MAKE) clean
	cd linemode $(CSEP) $(MAKE) clean
	cd circuit2 $(CSEP) $(MAKE) clean
	cd qgle_keyboard $(CSEP) $(MAKE) clean
	cd gc_join $(CSEP) $(MAKE) clean
	cd jitter $(CSEP) $(MAKE) clean
	cd dragon $(CSEP) $(MAKE) clean
	cd sierpinski $(CSEP) $(MAKE) clean
	cd data $(CSEP) $(MAKE) clean
	cd circuit1 $(CSEP) $(MAKE) clean
	cd f-f2 $(CSEP) $(MAKE) clean
	cd polarcircle $(CSEP) $(MAKE) clean
	cd mutation $(CSEP) $(MAKE) clean
	cd protract $(CSEP) $(MAKE) clean
	cd super-ellipse $(CSEP) $(MAKE) clean
	cd h-bridge $(CSEP) $(MAKE) clean
	cd shapes $(CSEP) $(MAKE) clean
	cd loop $(CSEP) $(MAKE) clean
	cd feynman_test $(CSEP) $(MAKE) clean
	cd armand $(CSEP) $(MAKE) clean
	cd series $(CSEP) $(MAKE) clean
	cd fill $(CSEP) $(MAKE) clean
	cd wall $(CSEP) $(MAKE) clean
	cd volcano $(CSEP) $(MAKE) clean
	cd bubble $(CSEP) $(MAKE) clean
	cd regrmodel $(CSEP) $(MAKE) clean
	cd opening $(CSEP) $(MAKE) clean
	cd adphas $(CSEP) $(MAKE) clean
	cd radar $(CSEP) $(MAKE) clean
	cd pythagoras $(CSEP) $(MAKE) clean
	cd legend $(CSEP) $(MAKE) clean
	cd crispdm $(CSEP) $(MAKE) clean
	cd errors $(CSEP) $(MAKE) clean
	cd colorspaces $(CSEP) $(MAKE) clean
	cd maungazoom $(CSEP) $(MAKE) clean
	cd polenja $(CSEP) $(MAKE) clean
	cd colorbar $(CSEP) $(MAKE) clean
	cd M4_Re_Im $(CSEP) $(MAKE) clean
	cd hello_world $(CSEP) $(MAKE) clean

=== src/AFM/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: AFM.eps AFM.pdf AFM.png

AFM.eps: AFM.gle
	gle -device EPS -cairo AFM.gle

AFM.pdf: AFM.gle
	gle -device PDF -cairo AFM.gle

AFM.png: AFM.gle
	gle -device PNG -cairo -DPI 150 AFM.gle

clean:
	-$(RM) AFM.eps AFM.pdf AFM.png
	-$(RMDIR) .gle

=== src/M16/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: M16.eps M16.pdf M16.png

M16.eps: M16.gle
	gle -device EPS -cairo M16.gle

M16.pdf: M16.gle
	gle -device PDF -cairo M16.gle

M16.png: M16.gle
	gle -device PNG -cairo -DPI 150 M16.gle

clean:
	-$(RM) M16.eps M16.pdf M16.png
	-$(RMDIR) .gle

=== src/M4_Re_Im/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # gle-library makefile runs on MS nmake.exe or GNU make
 #
-# automatically generated - do not modify all changes maybe lost
+# -- automatically generated - do not modify all changes maybe lost
 #
 # NMAKE code here \
 !ifndef 0 # \
@@ -12,7 +12,7 @@
 MAKE=nmake /nologo # \
 SEP=\ # \
 CSEP=& # \
-INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle\gleinc" # \
+INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
 !else
 # Make code here
 MV=mv -f
@@ -22,7 +22,7 @@
 MAKE=make
 SEP=/
 CSEP=;
-INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle/gleinc
+INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
 # \
 !endif

=== src/SdHmethod/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: SdHmethod.eps SdHmethod.pdf SdHmethod.png

SdHmethod.eps: SdHmethod.gle
	gle -device EPS -cairo SdHmethod.gle

SdHmethod.pdf: SdHmethod.gle
	gle -device PDF -cairo SdHmethod.gle

SdHmethod.png: SdHmethod.gle
	gle -device PNG -cairo -DPI 150 SdHmethod.gle

clean:
	-$(RM) SdHmethod.eps SdHmethod.pdf SdHmethod.png
	-$(RMDIR) .gle

=== src/adjust/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: adjust.eps adjust.pdf adjust.png

adjust.eps: adjust.gle
	gle -device EPS -cairo adjust.gle

adjust.pdf: adjust.gle
	gle -device PDF -cairo adjust.gle

adjust.png: adjust.gle
	gle -device PNG -cairo -DPI 150 adjust.gle

clean:
	-$(RM) adjust.eps adjust.pdf adjust.png
	-$(RMDIR) .gle

=== src/adphas/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: adphas.eps adphas.pdf adphas.png

adphas.eps: adphas.gle
	gle -device EPS -cairo adphas.gle

adphas.pdf: adphas.gle
	gle -device PDF -cairo adphas.gle

adphas.png: adphas.gle
	gle -device PNG -cairo -DPI 150 adphas.gle

clean:
	-$(RM) adphas.eps adphas.pdf adphas.png
	-$(RMDIR) .gle

=== src/armand/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: armand.eps armand.pdf armand.png

armand.eps: armand.gle
	gle -device EPS -cairo armand.gle

armand.pdf: armand.gle
	gle -device PDF -cairo armand.gle

armand.png: armand.gle
	gle -device PNG -cairo -DPI 150 armand.gle

clean:
	-$(RM) armand.eps armand.pdf armand.png
	-$(RMDIR) .gle

=== src/arrowdesign/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: arrowdesign.eps arrowdesign.pdf arrowdesign.png

arrowdesign.eps: arrowdesign.gle
	gle -device EPS -cairo arrowdesign.gle

arrowdesign.pdf: arrowdesign.gle
	gle -device PDF -cairo arrowdesign.gle

arrowdesign.png: arrowdesign.gle
	gle -device PNG -cairo -DPI 150 arrowdesign.gle

clean:
	-$(RM) arrowdesign.eps arrowdesign.pdf arrowdesign.png
	-$(RMDIR) .gle

=== src/arrowstyle/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: arrowstyle.eps arrowstyle.pdf arrowstyle.png

arrowstyle.eps: arrowstyle.gle
	gle -device EPS -cairo arrowstyle.gle

arrowstyle.pdf: arrowstyle.gle
	gle -device PDF -cairo arrowstyle.gle

arrowstyle.png: arrowstyle.gle
	gle -device PNG -cairo -DPI 150 arrowstyle.gle

clean:
	-$(RM) arrowstyle.eps arrowstyle.pdf arrowstyle.png
	-$(RMDIR) .gle

=== src/bar_chart/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: bar_chart.eps bar_chart.pdf bar_chart.png

bar_chart.eps: bar_chart.gle
	gle -device EPS -cairo bar_chart.gle

bar_chart.pdf: bar_chart.gle
	gle -device PDF -cairo bar_chart.gle

bar_chart.png: bar_chart.gle
	gle -device PNG -cairo -DPI 150 bar_chart.gle

clean:
	-$(RM) bar_chart.eps bar_chart.pdf bar_chart.png
	-$(RMDIR) .gle

=== src/bar_chart_ft/Makefile ===
#
# gle-library makefile runs on MS nmake.exe or GNU make
#
# -- automatically generated - do not modify all changes maybe lost
#
# NMAKE code here \
!ifndef 0 # \
MV=move # \
RM=del # \
RMDIR=rmdir /S /Q # \
CP=copy # \
MAKE=nmake /nologo # \
SEP=\ # \
CSEP=& # \
INSTALL_INCLUDES=copy ..\include\*.gle "C:\Program Files\gle-graphics\gleinc" # \
!else
# Make code here
MV=mv -f
RM=rm -f
RMDIR=rm -r
CP=cp -f
MAKE=make
SEP=/
CSEP=;
INSTALL_INCLUDES=sudo cp ../include/*.gle /usr/share/gle-graphics/gleinc
# \
!endif

all: bar_chart_ft.eps bar_chart_ft.pdf bar_chart_ft.png

bar_chart_ft.eps: bar_chart_ft.gle
	gle -device EPS -cairo bar_chart_ft.gle

bar_chart_ft.pdf: bar_chart_ft.gle
	gle -device PDF -cairo bar_chart_ft.gle

bar_chart_ft.png: bar_chart_ft.gle
	gle -device PNG -cairo -DPI 150 bar_chart_ft.gle

clean:
	-$(RM) bar_chart_ft.eps bar_chart_ft.pdf bar_chart_ft.png
	-$(RMDIR) .gle

=== debian/changelog ===
gle-graphics-library (4.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 25 Jan 2026 19:14:27 +0100

=== debian/control ===
Source: gle-graphics-library
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3
Homepage: http://glx.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/science-team/gle-graphics-library
Vcs-Git: https://salsa.debian.org/science-team/gle-graphics-library.git
Rules-Requires-Root: no

Package: gle-graphics-library
Architecture: all
Conflicts: gle-graphics (<=4.2.5)
Depends: ${misc:Depends}, gle-graphics (>=4.3)
Description: Library of routines and example scripts written in GLE
 These scripts used to come bundled with the GLE distribution.  However,
 they may get updated prior to the next release.  This repo makes them
 available separately for users to modify and/or update outside of the GLE
 release schedule.
